import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { dts } from 'rollup-plugin-dts';
import json from '@rollup/plugin-json';
import alias from '@rollup/plugin-alias';
import esbuild from 'rollup-plugin-esbuild';
import replace from '@rollup/plugin-replace';

import * as glob from 'glob';

import { nodeEntries } from './plugin-alias-config.ts';

export { glob };
// default export
export { typescript, resolve, commonjs, dts, json, alias, esbuild, replace };

// named export
export { nodeEntries };
