import { App } from '@kevisual/router';
const app = new App();

app
  .route({
    path: 'apps-backend',
    key: 'list',
  })
  .define(async (ctx) => {
    ctx.body = ['apps-backend'];
  })
  .addTo(app);

app.listen(3007, () => {
  console.log('pm2-manage is running on', `http://localhost:3007`);
});
