import { App } from '@kevisual/router';
import pm2 from 'pm2';
const app = new App();

app
  .route({
    path: 'pm2',
    key: 'list',
  })
  .define(async (ctx) => {
    ctx.body = 'pm2 list';
    const services = await new Promise((resolve, reject) => {
      const connect = pm2.connect((err) => {
        if (err) {
          reject(err);
        }
        pm2.list((err, list) => {
          if (err) {
            reject(err);
          }
          resolve(list);
        });
        // resolve([{ name: 'test' }]);
      });
    });
    console.log(services);
    ctx.body = services;
  })
  .addTo(app);
// @ts-ignore

console.log('DEV_SERVER', DEV_SERVER == false);
// @ts-ignore
if (DEV_SERVER || !EXPORT_APP) {
  app.listen(3006, () => {
    console.log('pm2-manage is running on', `http://localhost:3006`);
  });
}

//